> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Media Profiles API Endpoint

> This API endpoint allows a user to retrieve all their media profiles.



## OpenAPI

````yaml get /api/user/media-profiles/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/media-profiles/:
    get:
      tags:
        - api
      summary: Get User Media Profiles API Endpoint
      description: This API endpoint allows a user to retrieve all their media profiles.
      operationId: get_user_media_profiles
      parameters:
        - name: media_profile_name
          in: query
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          description: Successfully retrieved the user media profiles
          content:
            application/json:
              schema:
                title: Media Profile OpenAPI Schema
                type: array
                items:
                  title: Media Profile
                  type: object
                  properties:
                    media_profile_id:
                      type: integer
                    disabled:
                      type: boolean
                    profile_name:
                      type: string
                    watermark_path:
                      type: string
                    watermark_position:
                      title: Overlay Coordinate
                      type: object
                      properties:
                        coordinate_id:
                          type: integer
                        overlay_visualizer:
                          type: string
                        x:
                          type: string
                        'y':
                          type: string
                      description: Overlay Coordinate OpenAPI Schema
                    end_clip_path:
                      type: string
                    preview_url:
                      type: string
                  description: Media Profile OpenAPI Schema
              example:
                - media_profile_id: 1
                  disabled: false
                  profile_name: New Media Profile
                  watermark_path: null
                  watermark_position: null
                  end_clip_path: null
                  preview_url: null
        '400':
          description: Failed to retrieve user media profiles or validation errors
          content: {}
        '500':
          description: Failed to retrieve user media profiles
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````